## cascading.tap.hadoop.io
Class HttpFileSystem

    java.lang.Object
      org.apache.hadoop.conf.Configured
          org.apache.hadoop.fs.FileSystem
              cascading.tap.hadoop.io.StreamedFileSystem
                  cascading.tap.hadoop.io.HttpFileSystem

All Implemented Interfaces:
  Closeable, Configurable

    public class HttpFileSystem

extends StreamedFileSystem

Class HttpFileSystem provides a basic read-only `FileSystem` for accessing remote HTTP and HTTPS data.

To use this FileSystem, just use regular http:// or https:// URLs.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.fs.FileSystem
`FileSystem.Statistics`

Field Summary
`static String` `HTTP_SCHEME` Field HTTP_SCHEME
`static String` `HTTPS_SCHEME` Field HTTPS_SCHEME

Fields inherited from class org.apache.hadoop.fs.FileSystem
`DEFAULT_FS, FS_DEFAULT_NAME_KEY, SHUTDOWN_HOOK_PRIORITY, statistics`

Constructor Summary
`HttpFileSystem()`

Method Summary
`boolean` `exists(Path path)`
`FileStatus` `getFileStatus(Path path)`
`URI` `getUri()`
`FileStatus[]` `globStatus(Path path, PathFilter pathFilter)`
`void` `initialize(URI uri, Configuration configuration)`
`FSDataInputStream` `open(Path path, int i)`

Methods inherited from class cascading.tap.hadoop.io.StreamedFileSystem
`append, create, delete, delete, getMD5SumFor, getMD5SumFor, getWorkingDirectory, listStatus, mkdirs, rename, setMD5SumFor, setMD5SumFor, setWorkingDirectory`

Methods inherited from class org.apache.hadoop.fs.FileSystem

`addDelegationTokens, append, append, areSymlinksEnabled, cancelDeleteOnExit, canonicalizeUri, checkPath, clearStatistics, close, closeAll, closeAllForUGI, completeLocalOutput, concat, copyFromLocalFile, copyFromLocalFile, copyFromLocalFile, copyFromLocalFile, copyToLocalFile, copyToLocalFile, copyToLocalFile, create, create, create, create, create, create, create, create, create, create, create, create, createNewFile, createNonRecursive, createNonRecursive, createNonRecursive, createSnapshot, createSnapshot, createSymlink, deleteOnExit, deleteSnapshot, enableSymlinks, fixRelativePart, get, get, get, getAclStatus, getAllStatistics, getBlockSize, getCanonicalServiceName, getCanonicalUri, getChildFileSystems, getContentSummary, getDefaultBlockSize, getDefaultBlockSize, getDefaultPort, getDefaultReplication, getDefaultReplication, getDefaultUri, getDelegationToken, getFileBlockLocations, getFileBlockLocations, getFileChecksum, getFileLinkStatus, getFileSystemClass, getFSofPath, getHomeDirectory, getInitialWorkingDirectory, getLength, getLinkTarget, getLocal, getName, getNamed, getReplication, getScheme, getServerDefaults, getServerDefaults, getStatistics, getStatistics, getStatus, getStatus, getUsed, globStatus, isDirectory, isFile, listCorruptFileBlocks, listFiles, listLocatedStatus, listLocatedStatus, listStatus, listStatus, listStatus, makeQualified, mkdirs, mkdirs, modifyAclEntries, moveFromLocalFile, moveFromLocalFile, moveToLocalFile, newInstance, newInstance, newInstance, newInstanceLocal, open, primitiveCreate, primitiveMkdir, primitiveMkdir, printStatistics, processDeleteOnExit, removeAcl, removeAclEntries, removeDefaultAcl, rename, renameSnapshot, resolveLink, resolvePath, setAcl, setDefaultUri, setDefaultUri, setOwner, setPermission, setReplication, setTimes, setVerifyChecksum, setWriteChecksum, startLocalOutput, supportsSymlinks`

Methods inherited from class org.apache.hadoop.conf.Configured
`getConf, setConf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HTTP_SCHEME

    public static final String HTTP_SCHEME

  Field HTTP_SCHEME

  See Also:
    Constant Field Values

### HTTPS_SCHEME

    public static final String HTTPS_SCHEME

  Field HTTPS_SCHEME

  See Also:
    Constant Field Values

Constructor Detail

### HttpFileSystem

    public HttpFileSystem()

Method Detail

### initialize

    public void initialize(URI uri,
                           Configuration configuration)
                    throws IOException

  Overrides:
    `initialize` in class `FileSystem`
  Throws:
    `IOException`

### getUri

    public URI getUri()

  Specified by:
    `getUri` in class `FileSystem`

### globStatus

    public FileStatus[] globStatus(Path path,
                                   PathFilter pathFilter)
                            throws IOException

  Overrides:
    `globStatus` in class `FileSystem`
  Throws:
    `IOException`

### open

    public FSDataInputStream open(Path path,
                                  int i)
                           throws IOException

  Specified by:
    `open` in class `FileSystem`
  Throws:
    `IOException`

### exists

    public boolean exists(Path path)
                   throws IOException

  Overrides:
    `exists` in class `FileSystem`
  Throws:
    `IOException`

### getFileStatus

    public FileStatus getFileStatus(Path path)
                             throws IOException

  Specified by:
    `getFileStatus` in class `FileSystem`
  Throws:
    `IOException`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.